Refunds
List the refunds of an order
GET
Retrieves the refund orders created for an order.
apiKeyheader
AuthorizationBasic <token>Use your project's API key as the username and leave the password empty. Only use the API key from your server: it gives full access to your project.
order_id*stringThe id of the order.
Format
uuidThe refund orders of the order.
application/json- response
[index: integer]?curl -X GET 'https://api.dev.gingerpayments.com/v1/orders/8078d78f-8700-4cfe-94b1-4a777d3400f2/refunds/'[ { "id": "851f041f-0a26-41b8-b7a2-a9f92714a418", "amount": 2000, "currency": "EUR", "created": "2026-10-12T12:08:35.396315+00:00", "completed": "2026-10-12T12:08:36.472789+00:00", "description": "Partial refund", "flags": [ "is-refund", "is-test" ], "merchant_order_id": "EXAMPLE001", "refund_of_order_id": "9f9975f5-2d13-408a-aff0-40b72ded3d57", "status": "completed" }, { "id": "3f9ca14f-50a4-45e6-af11-8ef76eed3080", "amount": 2000, "currency": "EUR", "created": "2026-10-12T12:06:05.807474+00:00", "completed": "2026-10-12T12:06:07.172292+00:00", "description": "Partial refund", "flags": [ "is-refund", "is-test" ], "merchant_order_id": "EXAMPLE001", "refund_of_order_id": "9f9975f5-2d13-408a-aff0-40b72ded3d57", "status": "completed" }]